Name:		kiran-wallpapers
Version:	2.3.0
Release:	5
Summary:	Wallpapers for Kiran desktop

License:	LGPL-2.0-or-later
URL:		http://www.kylinsec.com.cn
Source0:	%{name}-%{version}.tar.gz

BuildRequires:  git

Conflicts:	kiran-themes < 0.8.1
BuildArch:	noarch

%description
This package provides desktop wallpapers for kiran desktop


%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/backgrounds/kiran/
mkdir -p $RPM_BUILD_ROOT/usr/share/mate-background-properties/

cp -r $RPM_BUILD_DIR/%{name}-%{version}/kiran.xml $RPM_BUILD_ROOT/usr/share/backgrounds/
cp -r $RPM_BUILD_DIR/%{name}-%{version}/*.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/kiran/
cp -r $RPM_BUILD_DIR/%{name}-%{version}/*.png $RPM_BUILD_ROOT/usr/share/backgrounds/kiran/
cp -r $RPM_BUILD_DIR/%{name}-%{version}/kiran_background.xml $RPM_BUILD_ROOT/usr/share/mate-background-properties/

%if 0%{?kylin:1}
cp -r $RPM_BUILD_DIR/%{name}-%{version}/default.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/default.jpg
%else
cp -r $RPM_BUILD_DIR/%{name}-%{version}/default.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/default_kiran.jpg
%endif

%files
%doc
%{_datadir}/backgrounds/
%{_datadir}/mate-background-properties/

%changelog
* Wed May 31 2023 yuanxing <yuanxing@kylinsec.com.cn> - 2.3.0-5
- KYOS-F: change judgment of {?kylin} to 0%{?kylin:1}

* Fri May 12 2023 yuanxing <yuanxing@kylinsec.com.cn> - 2.3.0-4
- KYOS-F: fix judgment of {?kylin}

* Thu Apr 13 2023 kpkg <kpkg.kylinsec.com.cn> - 2.3.0-3
- rebuild for KY3.4-5-GC-KiranUI-2.5

* Wed Apr 12 2023 kpkg <kpkg.kylinsec.com.cn> - 2.3.0-2
- rebuild for KiranUI-2.5-next

* Tue Apr 11 2023 wangyucheng <wangyucheng@kylinsec.com.cn> - 2.3.0-1
- KYOS-F: Fix SPEC file syntax error & fix fake date

* Tue Feb 28 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 0.8.1-5
- KYOS-F: remove mate-backgrounds.mo,conflict resolution

* Mon Aug 08 2022 luoqing <luoqing@kylinsec.com.cn> - 0.8.1-4
- KYOS-F: Modify license.

* Mon Aug 01 2022 yuanxing <yuanxing@kylinos.com.cn> - 0.8.1-3
- KYOS-F: remove %{dist} in Release

* Tue Feb 22 2022 longcheng <longcheng@kylinos.com.cn> - 0.8.1-2
- KYOS-B: fix build error in openeuler

* Thu Oct 28 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 0.8.1-1.kb12
- KYOS-R: Rename default.jpg to default_ kiran.jpg(#45551)

* Thu Jul 15 2021 longcheng <longcheng@kylinos.com.cn> - 0.8.1-1.kb11
- KYOS-P: Remove duplicate wallpaper sky.png in appearance preferences (#41117)
- KYOS-P: Add a new wallpaper default.jpg in appearance preferences (#41117)

* Tue May 25 2021 caoyuanji<caoyuanji@kylinos.com.cn> - 0.8.1-1.kb10
- KYOS-P: Replace the default.jpg file of the default wallpaper .(Related: #39030)

* Mon May 10 2021 kpkg <kpkg@kylinos.com.cn> - 0.8.1-1.kb9
- rebuild for KY3.4-4

* Tue Nov 10 2020 ouyangminxiang <ouyangminxiang@kylinos.com.cn> - 0.8.1-1.ky3.kb8
- KYOS-P: add some wallpaper pictures
- Related: #31702

* Wed Aug 26 2020 zhoujieda <zhoujieda@kylinos.com.cn> - 0.8.1-1.ky3.kb6
- KYOS-F:remove scripts and add default jpg link in install.(#28956)

* Wed Jul 29 2020 zhoujieda <zhoujieda@kylinos.com.cn> - 0.8.1-1.ky3.kb5
- KYOS-P:change the earth wallpapers

* Mon Jul 06 2020 zhoujieda <zhoujieda@kylinos.com.cn> - 0.8.1-1.ky3.kb4
- KYOS-P:add new wallpapers and change wallpapers name

* Fri Jul 03 2020 zhoujieda <zhoujieda@kylinos.com.cn> - 0.8.1-1.ky3.kb3
- KYOS-F:add symbolic link for default.jpg

* Tue Jun 30 2020 zhoujieda <zhoujieda@kylinos.com.cn> - 0.8.1-1.ky3.kb2
- KYOS-B:Add kiran wallpapers into background optinos
- Related:#27537

* Fri May 29 2020 songchuanfei <songchuanfei@kylinos.com.cn> - 0.8.1-1.ky3.kb1
- KYOS-P: New style wallpapers

* Fri Jan 17 2020 liaowei <liaowei@kylinos.com.cn> - 0.8.0-5.ky3.kb3
- KYOS-B: replace default wallpapers
